Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008173 [DCSS] Bug Report minor always 2014-02-17 22:44 2015-04-11 07:27
Reporter gammafunk View Status public  
Assigned To gammafunk
Priority normal Resolution done  
Status closed   Product Branch 0.14 ancient branch
Summary 0008173: Mark monsters that become unseen in LOS with unseen monster indicator.
Description Based on a conversation in ##crawl-dev: If a monster walks into LOS and goes
invisible on the same turn (e.g. sigmund or a lucky goblin with !invisibility),
they can disappear from the interface before the player is exactly sure where
they went. Marking monsters in LOS that transition from seen to unseen with the
unseen monster indicator is a solution to help with this confusion. Transition
cases could be when a monsters becomes invisible (ENCH_INVIS) or the monster is
invis and the player loses sinv (e.g. taking of a ring), and the indicator will
be removed after a turn. I'm working on a patch for monster casting of dazzling
spray where there can be player blindness to all foes, which would be another
seen->unseen case. I'd like to make a patch to fix to make unseen markers in
these situations, but if there are any technical issues (information leaks,
other unseen transitions I haven't talked about, etc), I'd be glad to hear it.

On a technical note, I think the way to implement this is to add a boolean
property named something like was_seen to the monster class. This would be
checked by _update_monster() in show.cc, which would call
env.map_knowledge(gp).set_invisible_monster() and then unset mons->was_seen.
The code for adding ENCH_INVIS could set mons->was_seen to true if the player
could see the monster and doesn't have sinv, with similar logic for when the
player loses sinv. If there's a better way to do this, this suggestion would be
welcome.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0025500)
gammafunk (administrator)
2014-03-07 02:27

Implemented in 0.14-a0-3090-g4a7354f.

- Issue History
Date Modified Username Field Change
2014-02-17 22:44 gammafunk New Issue
2014-03-04 00:59 gammafunk Status new => assigned
2014-03-04 00:59 gammafunk Assigned To => gammafunk
2014-03-07 02:27 gammafunk Note Added: 0025500
2014-03-07 02:27 gammafunk Status assigned => resolved
2014-03-07 02:27 gammafunk Fixed in Branch => 0.14 development branch
2014-03-07 02:27 gammafunk Resolution open => done
2015-04-11 07:27 gammafunk Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker